summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author J2022-04-23 04:06:19 +0200
committer Willy Sudiarto Raharjo2022-04-23 20:47:11 +0200
commitd619b1f1a235872bb9d1c5af8fcd664ee8c4f3f5 (patch)
treea656101733eba6bf7aeaa8195776c07fa310e985
parent14b36212953a397ca3c802380d5b3a71c2132a58 (diff)
downloadslackbuilds-d619b1f1a235872bb9d1c5af8fcd664ee8c4f3f5.tar.gz
ham/qt-dab: Added (Software DAB Decoder)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--ham/qt-dab/README9
-rw-r--r--ham/qt-dab/doinst.sh6
-rw-r--r--ham/qt-dab/qt-dab.SlackBuild126
-rw-r--r--ham/qt-dab/qt-dab.info10
-rw-r--r--ham/qt-dab/slack-desc19
5 files changed, 170 insertions, 0 deletions
diff --git a/ham/qt-dab/README b/ham/qt-dab/README
new file mode 100644
index 0000000000..b3e05944f4
--- /dev/null
+++ b/ham/qt-dab/README
@@ -0,0 +1,9 @@
+qt-dab
+A Software DAB / DAB+ Decoder for rtl-sdr and other cards.
+
+Build script is only setup for rtl-sdr device support.
+
+You may need to set RULES=yes in the rtl-sdr.SlackBuild to allow
+non-root users to access the usb card.
+
+(You can run rtl_test from rtl-sdr to see if you can access it).
diff --git a/ham/qt-dab/doinst.sh b/ham/qt-dab/doinst.sh
new file mode 100644
index 0000000000..355542bb84
--- /dev/null
+++ b/ham/qt-dab/doinst.sh
@@ -0,0 +1,6 @@
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+
diff --git a/ham/qt-dab/qt-dab.SlackBuild b/ham/qt-dab/qt-dab.SlackBuild
new file mode 100644
index 0000000000..875eba2d0f
--- /dev/null
+++ b/ham/qt-dab/qt-dab.SlackBuild
@@ -0,0 +1,126 @@
+#!/bin/bash
+
+# Slackware build script for qt-dab
+
+# Copyright 2022 J sbo-qt-dab@jnet-productions.co.uk
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=qt-dab
+VERSION=${VERSION:-4.351}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Build only the full "maxi" application
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DRTLSDR=ON \
+ -DFDK_AAC=ON \
+ -DCMAKE_BUILD_TYPE=Release ../dab-maxi
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+# Put the binary in the right folder, strip suffix.
+mkdir $PKG/usr/bin
+mv $PKG/usr/$PRGNAM-$VERSION $PKG/usr/bin/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ docs/manual.pdf \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+mkdir -p $PKG/usr/share/applications
+mkdir -p $PKG/usr/share/pixmaps
+chmod 0644 dab-maxi/qt-dab.desktop
+chmod 0644 dab-maxi/qt-dab.png
+cp -a \
+ dab-maxi/qt-dab.desktop \
+ $PKG/usr/share/applications
+cp -a \
+ dab-maxi/qt-dab.png \
+ $PKG/usr/share/pixmaps
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/ham/qt-dab/qt-dab.info b/ham/qt-dab/qt-dab.info
new file mode 100644
index 0000000000..25a7f0b15c
--- /dev/null
+++ b/ham/qt-dab/qt-dab.info
@@ -0,0 +1,10 @@
+PRGNAM="qt-dab"
+VERSION="4.351"
+HOMEPAGE="https://www.sdr-j.tk/qt-dab.htm"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/JvanKatwijk/qt-dab/archive/refs/tags/4.351.tar.gz"
+MD5SUM_x86_64="f3e39980558ea7e5730e8009f7350793"
+REQUIRES="qwt portaudio rtl-sdr libfdk-aac"
+MAINTAINER="J"
+EMAIL="sbo-qt-dab@jnet-productions.co.uk"
diff --git a/ham/qt-dab/slack-desc b/ham/qt-dab/slack-desc
new file mode 100644
index 0000000000..3b439ac451
--- /dev/null
+++ b/ham/qt-dab/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+qt-dab: qt-dab (Software DAB Decoder)
+qt-dab:
+qt-dab: A Software DAB / DAB+ Decoder for rtl-sdr and other cards.
+qt-dab: https://www.sdr-j.tk/qt-dab.htm
+qt-dab:
+qt-dab:
+qt-dab:
+qt-dab:
+qt-dab:
+qt-dab:
+qt-dab: